Bug 55948 - g++ segfaults in stdlib constructor
g++ segfaults in stdlib constructor
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-09 05:32 EST by Dov Grobgeld
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-09 05:32:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dov Grobgeld 2001-11-09 05:32:52 EST
Description of Problem:

g++ segfaults

Version-Release number of selected component (if applicable):

Name        : gcc-c++                      Relocations: (not relocateable)
Version     : 2.96                              Vendor: Red Hat, Inc.
Release     : 98                            Build Date: Tue Sep  4 14:10:42
2001
Install date: Tue Oct 23 19:29:00 2001      Build Host:
stripples.devel.redhat.com
Group       : Development/Languages         Source RPM: gcc-2.96-98.src.rpm
Size        : 4513397                          License: GPL
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://gcc.gnu.org
Summary     : C++ support for gcc

How Reproducible:

Easily. 8-)

Steps to Reproduce:
1. Enter the following program into foo.C

//======================================================================
// The following program causes g++ 2.96 to seg fault.
//
// Found by dov@imagic.weizmann.ac.il
//----------------------------------------------------------------------
#include <vector>

class Ary : public std::vector<int>
{
public:
  Ary(int sz=6): std::vector(sz) {};
};

int main(int argc, char*argv[])
{
}

2. Compile it with 
 
   g++ -o foo foo.C

Actual Results:

foo.C: In method `Ary::Ary (int)':
foo.C:11: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.

Expected Results:

I'll leave that as an exercise for the reader.

Additional Information:
	
Nope.
Comment 1 Jakub Jelinek 2001-11-28 08:03:48 EST
Should be fixed in gcc-c++-2.96-100 and above.
Comment 2 Bill Nottingham 2002-07-26 17:47:31 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2002-055.html

Note You need to log in before you can comment on or make changes to this bug.